$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.196-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.196-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'FA100E4FFBF8A062E33E32C116B1536EA45BEF43CD7F32A3B9929E36F2DE54DD'
  checksumType = 'sha256'
  checksum64 = 'FA100E4FFBF8A062E33E32C116B1536EA45BEF43CD7F32A3B9929E36F2DE54DD'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.33.196-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
